<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getMaterial](./bitburner.warehouseapi.getmaterial.md)

## WarehouseAPI.getMaterial() method

Get material data

**Signature:**

```typescript
getMaterial(divisionName: string, city: CityName | `${CityName}`, materialName: string): Material;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  materialName | string | Name of the material |

**Returns:**

[Material](./bitburner.material.md)

material data

